Subject: Re: bug#22174: 24.4; emacs --daemon crashes when ssh is disconnected. I am using lucid x toolkit.

From: Cody Addison <[email-masked]>
Date: Tue, 15 Dec 2015 09:56:13 -0600

Eli,

Sure. I'll give it a try tonight and send you the results. A few more
details that may help:

1. The exit command hangs. I typically have to use Ctrl-C. This only
happens if I've opened emacsclient with X forwarding. I suspect the server
still has an open connection over ssh, but this isn't really an area I know
much about.
2. I exit the emacs client with C-x C-c. Sometimes I just put the laptop to
sleep without closing emacs or the terminal. Both have the same results.
3. This was working for a while. I don't believe anything has changed since
it stopped working, but it's possible. Right now I can reproduce the crash
every time.

On Tue, Dec 15, 2015 at 9:48 AM, Eli Zaretskii <[email-masked]> wrote:

> > Date: Mon, 14 Dec 2015 22:05:54 -0600
> > From: Cody Addison <[email-masked]>
> >
> > Here are the steps I typically do:
> > % ssh <machine>
> > % tmux attach (This step doesn't seem important. I've tried this with and
> > without tmux).
> > % emacs --daemon
> > % emacsclient -n -c
> > % tmux detach
> > % exit
> >
> > At this point the server is toast.
>
> Can you attach GDB to the daemon before the final step, and when it
> crashes (or exits or aborts or whatever), produce a backtrace and post
> it here?
>
> One more thing to try is the latest emacs-25 branch, if you can build
> it or get a hold of snapshot binaries somewhere.
>
> Thanks.
>